#ifndef INCINERATOR_HPP_
#define INCINERATOR_HPP_

#include <Block/SpriteBlock/BasicBlock/BasicBlock.hpp>
#include <Block/MachineBlockMixin.hpp>
#include <Machine/MIncinerator/MIncinerator.hpp>

class Incinerator : public BasicBlock, public MachineBlockMixin<MIncinerator>
{
public:
    Incinerator(std::string name);

    virtual bool canManuallyDig() override;
};

#endif